%
%  lcurve(K,L,data,lambda)
%
%  Using nntik and a supplied vector of lambda's, plot an L-curve.
%
function lcurve(K,L,data,lambda)
hold off
n=max(size(lambda));
for i=1:n,
  x=nntik(K,L,data,lambda(i));
  missfit(i)=norm(K*x-data);
  rough(i)=norm(L*x);
end;
loglog(missfit,rough);
xlabel('|| {\bf K\sigma-d }|| (mS/m)');
ylabel('|| {\bf L\sigma} || (mS/m)');


