% 
%  f=phih(x)
%
%  Computes the sensitivity function for the EM-38 in horizontal mode.
%
function f=phih(x)
for i=1:length(x), 
  if (x(i) >= 0), 
    f(i)=2-4*x(i)/(4*x(i)^2+1)^(0.5); 
  else  
    f(i)=0;
  end;
end;

